﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;

namespace SeaMatePro.LogViewer
{
    public class LogEntryStore
    {
        private static LogEntryStore _instance;
        
        private List<LogEntry> _logEntries = new List<LogEntry>();

        private LogEntryStore()
        {

        }

        public static LogEntryStore Instance
        {
            get
            {
                return _instance ?? (_instance = new LogEntryStore());
            }
        }

        public IEnumerable<LogEntry> LogEntries
        {
            get
            {
                return _logEntries;
            }
        }

        public void GetLogEntries()
        {
            _logEntries = new List<LogEntry>();
            for (int i = 0; i < 30; i++)
            {
                _logEntries.Add(new LogEntry()
                                    {
                                        DateTime = DateTime.Now.ToLongTimeString(),
                                        Domain = "MS",
                                        Level = "Warning",
                                        Logger = "Test.Logger",
                                        Message = "Message" + 1,
                                        ProcessId = "1034",
                                        UserName = "Test User",
                                        Thread = "Main"
                                    });
            }
            
        }
    }
}
