﻿using Infragistics.Windows.DataPresenter;
using System.Windows;

namespace SeaMatePro.LogViewer
{    
    public partial class LogViewerWindow : Window
    {
        public LogViewerWindow()
        {
            InitializeComponent();

            
            LogEntryStore.Instance.GetLogEntries();
            logsDataGrid.DataSource = LogEntryStore.Instance.LogEntries;
        }

        private void logsDataGrid_ClipboardPasting(object sender, Infragistics.Windows.DataPresenter.Events.ClipboardPastingEventArgs e)
        {
            if (e.Values != null)
            {
                CellValueHolderCollection values = e.Values;
                CellValueHolder cvh = values[logsDataGrid.SelectedItems.Cells[0]];

                string[] separator = { "\r\n" };
                string str = cvh.Value.ToString();

                if (str.Contains("\r\n"))
                {
                    string[] splitUp = str.Split(separator, System.StringSplitOptions.RemoveEmptyEntries);

                    foreach (Cell cell in logsDataGrid.SelectedItems.Cells)
                    {
                        int index = logsDataGrid.SelectedItems.Cells.IndexOf(cell);

                        if (index < splitUp.Length)
                        {
                            CellValueHolder holder = values[cell];
                            holder.Value = splitUp[index];
                        }
                        else
                        {
                            CellValueHolder holder = values[cell];
                            holder.Value = logsDataGrid.SelectedItems.Cells[index].Value;
                        }
                    }                    
                }
            }
        }       
    }
}
